Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.commitlog
Class CommitLogArchiver

    java.lang.Object
      org.apache.cassandra.db.commitlog.CommitLogArchiver

    public class CommitLogArchiver

extends java.lang.Object

Field Summary
`java.util.Map<java.lang.String,java.util.concurrent.Future<?>>` | `archivePending`
`java.util.concurrent.ExecutorService` | `executor`
`long` | `restorePointInTime`

Constructor Summary
`CommitLogArchiver()`

Method Summary
`void` | `maybeArchive(java.lang.String path, java.lang.String name)`
`void` | `maybeRestoreArchive()`
`boolean` | `maybeWaitForArchiving(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### archivePending

    public final java.util.Map<java.lang.String,java.util.concurrent.Future<?>> archivePending

### executor

    public final java.util.concurrent.ExecutorService executor

### restorePointInTime

    public final long restorePointInTime

Constructor Detail

### CommitLogArchiver

    public CommitLogArchiver()

Method Detail

### maybeArchive

    public void maybeArchive(java.lang.String path,
                             java.lang.String name)

### maybeWaitForArchiving

    public boolean maybeWaitForArchiving(java.lang.String name)

### maybeRestoreArchive

    public void maybeRestoreArchive()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation